//
// Created by sebastian on 07.02.26.
//

#include "Map.h"

std::vector<HexRenderData> Map::getTerrainRenderData(const std::shared_ptr<TexturedModel>& hexModel, const std::shared_ptr<TexturedModel>& woodModel) {
    std::vector<HexRenderData> renderData;
    renderData.reserve(tiles.size());
    for (auto& tile : tiles) {
        HexRenderData data;
        if (tile.resourceType == RessourceType::WOOD) {
            data = HexRenderData(woodModel, tile.worldPos, tile.isHighlighted);
        } else {
            data = HexRenderData(hexModel, tile.worldPos, tile.isHighlighted);
        }
        renderData.push_back(data);
    }
    return renderData;
}
